edu.northwestern.at.morphadorner.corpuslinguistics.adornedword

## Interface AdornedWord

- All Known Implementing Classes:
    AdornedWordCountInfo, BaseAdornedWord, ExtendedAdornedWord

      public interface AdornedWord

  Interface for a word adorned with addition morphological information.

  An `AdornedWord` represents a single word spelling, symbol, or punctuation mark in text.

  An adorned word records the following information.

  - The original form of the token as it appears in input text.
  - The spelling form of the token with transcription errors corrected. This is the form used by MorphAdorner for subsequent morphological processing.
  - A standard spelling. This is the standard modern form of the spelling for a word. If the word is obsolete, the standard form is the most recent commonly used spelling.
  - A lemma. This is the standard dictionary headword form of the spelling. Some spellings such as contractions contain multiple lemmata. In this case, the lemma consists of a string of individual lemmata separated by a separator character, usually a vertical bar "|". For example, the lemma form of the contraction "isn't" is "be|not".
  - A part of speech. Each lemma form in the spelling has an associated part of speech. Depending upon the tag set, the individual parts of speech may be separated by colons, slashes, vertical bars, etc.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLemmata()` Get the lemmata.
    `java.lang.String` | `getPartsOfSpeech()` Get the parts of speech.
    `java.lang.String` | `getSpelling()` Get the spelling.
    `java.lang.String` | `getStandardSpelling()` Get the standard spelling.
    `java.lang.String` | `getToken()` Get the original token.
    `void` | `setLemmata(java.lang.String lemmata)` Set the lemmata.
    `void` | `setPartsOfSpeech(java.lang.String partsOfSpeech)` Set the parts of speech.
    `void` | `setSpelling(java.lang.String spelling)` Set the spelling.
    `void` | `setStandardSpelling(java.lang.String standardSpelling)` Set the standard spelling.
    `void` | `setToken(java.lang.String token)` Set the original token.

- - ### Method Detail

    - #### getToken

          java.lang.String getToken()

      Get the original token.
      Returns:
        The original token.

    - #### setToken

          void setToken(java.lang.String token)

      Set the original token.
      Parameters:
        `token` - The original token.

    - #### getSpelling

          java.lang.String getSpelling()

      Get the spelling.
      Returns:
        The spelling.

    - #### setSpelling

          void setSpelling(java.lang.String spelling)

      Set the spelling.
      Parameters:
        `spelling` - The spelling.

    - #### getStandardSpelling

          java.lang.String getStandardSpelling()

      Get the standard spelling.
      Returns:
        The standard spelling.

    - #### setStandardSpelling

          void setStandardSpelling(java.lang.String standardSpelling)

      Set the standard spelling.
      Parameters:
        `standardSpelling` - The standard spelling.

    - #### getLemmata

          java.lang.String getLemmata()

      Get the lemmata.
      Returns:
        The lemmata.

        Compound lemmata are separated by a separator tring.

    - #### setLemmata

          void setLemmata(java.lang.String lemmata)

      Set the lemmata.
      Parameters:
        `lemmata` - The lemmata.

    - #### getPartsOfSpeech

          java.lang.String getPartsOfSpeech()

      Get the parts of speech.
      Returns:
        The parts of speech.

    - #### setPartsOfSpeech

          void setPartsOfSpeech(java.lang.String partsOfSpeech)

      Set the parts of speech.
      Parameters:
        `partsOfSpeech` - The parts of speech, separated by a tag set dependent separator string.